Subject: Re: bug#37789: guix pull: error: You found a bug: the program

From: George Clemmer <[email-masked]>
Date: Sat, 19 Oct 2019 15:56:11 -0400

Ludovic Courtès <[email-masked]> writes:

> Hi George,
>
> George Clemmer <[email-masked]> skribis:
>
>> 		     (substitute-urls (list "https://mirror.hydra.gnu.org"
>> 					    "https://hydra.gnu.org"
>> 					    "https://berlin.guixsd.org"))
>
> Also, remember that {mirror.,}hydra.gnu.org were phased out a few months ago:
>
>   https://lists.gnu.org/archive/html/info-guix/2019-06/msg00001.html

Thanks. I missed that because my guix list reading scheme stopped
working a few months ago and I was focusing on other things. 

>> ... because it primarily builds Guix from Git. I only use 'guix pull' as
>> a kind of "rescue move" when the souce build fails, as it is now doing
>>
>> configure: error: Guile-JSON is missing; please install it.
>
> How are you getting this error?  Please provide all the context.

Happy to. I will post a separate bug about that.

>> The last time I used 'guix pull' it worked fine ...
>>
>>   /home/glc/.config/guix:
>>   lrwxrwxrwx 1 glc users   44 Dec 14  2018 current ->
>>   /var/guix/profiles/per-user/glc/current-guix
>>
>> The guix-configuration is unchanged since then. Shouldn't 'guix pull'
>> still work?
>
> It should work, yes.  What does ‘guix describe’ report?

Generation 1	Dec 14 2018 16:02:31	(current)
  guix bd208a1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: bd208a13ef4c203cf9035c0ccf454a60c1949c58

TIA - George